com.google.appengine.api.memcache

## Class ErrorHandlers

- java.lang.Object
- - com.google.appengine.api.memcache.ErrorHandlers

-     public final class ErrorHandlers
      extends java.lang.Object

  Static utility for getting built-in `ErrorHandler`s.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogAndContinueErrorHandler` | `getConsistentLogAndContinue(java.util.logging.Level logLevel)` Returns an instance of `ConsistentLogAndContinueErrorHandler` that handles all `MemcacheServiceException` exceptions.
    `static ErrorHandler` | `getDefault()` Returns the default error handler.
    `static LogAndContinueErrorHandler` | `getLogAndContinue(java.util.logging.Level logLevel)` Deprecated. Use `getConsistentLogAndContinue(Level)` instead
    `static StrictErrorHandler` | `getStrict()` Returns an instance of `StrictErrorHandler`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStrict

          public static StrictErrorHandler getStrict()

      Returns an instance of `StrictErrorHandler`.

    - #### getLogAndContinue

          @Deprecated
          public static LogAndContinueErrorHandler getLogAndContinue(java.util.logging.Level logLevel)

      Deprecated. Use `getConsistentLogAndContinue(Level)` instead
      Returns an instance of `LogAndContinueErrorHandler`. To make sure that all `MemcacheServiceException` exceptions are handled by the `ErrorHandler` use `getConsistentLogAndContinue(Level)` instead.

    - #### getConsistentLogAndContinue

          public static LogAndContinueErrorHandler getConsistentLogAndContinue(java.util.logging.Level logLevel)

      Returns an instance of `ConsistentLogAndContinueErrorHandler` that handles all `MemcacheServiceException` exceptions.

    - #### getDefault

          public static ErrorHandler getDefault()

      Returns the default error handler.